| Kea 3.0.2-git

process_spawn.h File Reference
`#include <asiolink/io_service.h>`
`#include <exceptions/exceptions.h>`
`#include <boost/noncopyable.hpp>`
`#include <string>`
`#include <sys/types.h>`
`#include <vector>`
`#include <boost/shared_ptr.hpp>`
Include dependency graph for process_spawn.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::asiolink::ProcessSpawn
| Utility class for spawning new processes. More...
class | isc::asiolink::ProcessSpawnError
| Exception thrown when error occurs during spawning a process. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::asiolink

## Typedefs
typedef std::vector< std::string > | isc::asiolink::ProcessArgs
| Type of the container holding arguments of the executable being run as a background process.
typedef std::vector< std::string > | isc::asiolink::ProcessEnvVars
| Type of the container holding environment variables of the executable being run as a background process.
typedef boost::shared_ptr< ProcessSpawnImpl > | isc::asiolink::ProcessSpawnImplPtr
| Pointer to a ProcessSpawnImpl class.